Subject: Octane - first light!

From: Stanislaw Skowronek <[email-masked]>
Date: Mon, 10 May 2004 22:54:03 +0200 (MET DST)

Well, we've got usermode now. There is no keyboard driver so I can't
comment on interactive work (and I am too lazy to set up a complete telnet
server :), but all interesting scripts I gave it worked. Network is OK,
the QLogic SCSI driver does not work for some reason or another (it can't
communicate with hardware - why?), the console driver is nice and seems to
work rock-solid, high IRQ load (ping -f) does not break anything.

I found another 32-bit infelicity in kernel/scall64-o32.S in stackargs:
using subu instead of dsubu for jump address calculation... Any more of
these and I will have an overflow exception on anger.

Tomorrow, or somewhere in the next week I'm doing keyboard support.

Stanislaw Skowronek

--<=>--
  "You're not as old as the trees, not as young as the leaves.
   Not as free as the breeze, not as open as the seas."